Nucleus CMS < 3.40 Unspecified Traversal Arbitrary File Access

Medium Nessus Network Monitor Plugin ID 4954

Synopsis

The remote host is vulnerable to a directory traversal flaw.

Description

The remote host is running Nucleus CMS.

Nucleus is a content-management system that runs on PHP web servers. This version of Nucleus is vulnerable to a flaw in the way that the media manager handles user-supplied data. An attacker can traverse out of the web directory and gain access to data that may be confidential.

Solution

Upgrade to version 3.40 or higher.

See Also

http://www.nucleuscms.org/index.php/item/3051

Plugin Details

Severity: Medium

ID: 4954

Family: CGI

Published: 2009/03/09

Modified: 2018/09/16

Dependencies: 1442

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 5

Temporal Score: 4.1

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

CVSSv3

Base Score: 5.3

Temporal Score: 4.9

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

Temporal Vector: CVSS3#E:F/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:nucleus_group:nucleus_cms

Reference Information

CVE: CVE-2009-0929

BID: 34040